=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2006-01-23 03:43:25 +0000
+++ bzrlib/commands.py	2006-02-01 14:13:39 +0000
@@ -520,6 +520,9 @@
     if not opt_no_plugins:
         from bzrlib.plugin import load_plugins
         load_plugins()
+    else:
+        from bzrlib.plugin import disable_plugins
+        disable_plugins()
 
     cmd = str(argv.pop(0))
 

=== modified file 'bzrlib/plugin.py'
--- bzrlib/plugin.py	2005-12-16 03:43:14 +0000
+++ bzrlib/plugin.py	2006-02-01 14:08:59 +0000
@@ -66,6 +66,17 @@
     return result
 
 
+def disable_plugins():
+    """Disable loading plugins.
+
+    Future calls to load_plugins() will be ignored.
+    """
+    # TODO: jam 20060131 This should probably also disable
+    #       load_from_dirs()
+    global _loaded
+    _loaded = True
+
+
 def load_plugins():
     """Load bzrlib plugins.
 

